coupang
PUT/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/approvals2609170000

Request for product approval

# 01

Summary

Request for product approval

# 02

Details

Available buyer market: Korea, Taiwan

A temporarily saved product is displayed on a product page after getting through the stages of Request for approval-> Approval completed.

Caution: A message saying, "Inventory(XXXX) is not at the 'Request for approval' stage." literally means, "The supplier product[XXXX] cannot be approved".

'Request for approval' only works for the product which is 'Temporarily saved'.

When you enter the requested parameter as 'true' on Product creation/modification API, you can automatically get a request for selling approval going..

Path

PUT/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/approvals

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/approvals

URL API Name

APPROVE_PRODUCT
# 03

Path parameters

NameTypeDescription
sellerProductId*number
Registered product ID
ID got as a result of product creation
# 04

Response body

Response message

NameTypeDescription
codestring
Resulting code
SUCCES/ERROR
messagestring
Message
datastring
Registered product ID
ID of the registered product for which a request for approval is made

Response Example

{
 "code": "SUCCESS",
 "message": "A request for approving 1320***567"went out.It an issue if found with the product, it may not be approved.",
 "data": "1320***567"
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check request variable)

Only the products in the statuses of "Temporarily saved", "Approval completed", "Approval rejected", "Partially approved" can request an approval.

Recheck the status of the registered product which requested an approval to ensure that it is correct.

400400 (Check request variable)

Product information is registered or modified. Please run a query again later. [1320***567]

Send a request for product approval again after at least 10 minutes.